/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuscriptrecord;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：全局变量表
*
* createdate:  2022-10-29 11:35:50  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "全局变量表")
public class AtuGlobalVariableUpdateDto implements Serializable
{
    /**
     * <br>
     */
    @ApiModelProperty("主键id")
    @Size(max = 32, message="-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 默认值<br>
     */
    @ApiModelProperty("默认值")
    @Size(max = 256, message="默认值-defaultValue: 数据长度不能 > 256" )
    private String defaultValue;
    /**
     * 描述<br>
     */
    @ApiModelProperty("描述")
    @Size(max = 50, message="描述-memo: 数据长度不能 > 50" )
    private String desc;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}